import {Injectable} from '@angular/core';
import {Action} from '@ngrx/store';

@Injectable()
export class MenuActions {
    static LOAD_MENU = '[MENU] Load MENU';
    loadMenu(): Action {
        return {
            type: MenuActions.LOAD_MENU
        };
    }
    
    static LOAD_MENU_SUCCESS = '[MENU] Load MENU Success';
    loadMenuSuccess(sideoptions): Action {
        return {
            type: MenuActions.LOAD_MENU_SUCCESS,
            payload: sideoptions
        };
        
    }
    
    static RESET_MENU = '[MENU] Reset MENU';
    resetMenu(): Action {
        return {
            type: MenuActions.RESET_MENU
        };
    }
    
}